Page MenuHomePhabricator

Do not provide MT servies option for en->simple or simple->en language pairs
Closed, ResolvedPublic

Description

en and simple are practically same for MT engines and they throw errors lile

{"status":500,"type":"internal_error","title":"Error","detail":"Translation with Google failed for en > en. Error: 400 : Bad language pair: en|en","method":"POST","uri":"/v2/translate/en/simple/Google"}

Listing Google, Yandex as MT services available for the language pair is confusing too. So remove the MT engine options for en->simple or simple->en language pairs

Details

Related Gerrit Patches:

Event Timeline

santhosh created this task.Jul 4 2019, 6:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2019, 6:35 AM

Change 520689 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Filter out english, simple english from possible MT language pairs

https://gerrit.wikimedia.org/r/520689

Change 520689 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Filter out english, simple english from possible MT language pairs

https://gerrit.wikimedia.org/r/520689

santhosh triaged this task as Normal priority.Jul 9 2019, 7:16 AM
santhosh moved this task from Enhancements to MT on the ContentTranslation board.

This is deployed.

Jpita closed this task as Resolved.Jul 16 2019, 11:07 AM